package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairLeaveMessage;
import com.repair.model.result.PageUtils;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-20
 */
public interface RepairLeaveMessageService extends IService<RepairLeaveMessage> {
    int insertRepairLeaveMessage(RepairLeaveMessage rns);

    int updateRepairLeaveMessage(RepairLeaveMessage rns);

    PageUtils<RepairLeaveMessage> queryPageRepairLeaveMessages(int currentPage, int pageCount, String name);

    int deleteRepairLeaveMessageById(int id);

    RepairLeaveMessage getRepairById(int id);

    List<RepairLeaveMessage> getRepairs();

    boolean inserBatchLeaveMessage(List<RepairLeaveMessage> datas);

    List<RepairLeaveMessage> getRepairsByRecordIds(List<Integer> recordIds);
}
